    import MatchlistEndpoint from 'kayn/lib/Endpoints/MatchEndpoint/MatchlistEndpoint.js'

public class | source

# MatchlistEndpoint

#### Extends:

Endpoint~Endpoint → MatchSuperclass → MatchlistEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | Recent: {"by": *} |
public | by: {"accountID": *} |
public | config: * |
public | limiter: * |

## Method Summary

Public Methods
public | accountID(accountID: number): * Get matchlist for games played on given account ID and platform ID and filtered using given filter parameters, if any. |
public | getRecentMatchlistByAccountID(accountID: number): * Get matchlist for last 20 matches played on given account ID and platform ID. |

## Inherited Summary

From class MatchSuperclass
public | serviceName: string |

## Public Constructors

### public constructor() source

#### Override:

MatchSuperclass#constructor

## Public Members

### public Recent: {"by": *} source

### public by: {"accountID": *} source

### public config: * source

### public limiter: * source

## Public Methods

### public accountID(accountID: number): * source

Get matchlist for games played on given account ID and platform ID and filtered using given filter parameters, if any.

Implements GET `/lol/match/v3/matchlists/by-account/{accountId}`.

#### Params:

Name | Type | Attribute | Description
accountID | number |  | The account ID of the summoner.

#### Return:

*

### public getRecentMatchlistByAccountID(accountID: number): * source

Get matchlist for last 20 matches played on given account ID and platform ID.

Implements GET `/lol/match/v3/matchlists/by-account/{accountId}/recent`.

#### Params:

Name | Type | Attribute | Description
accountID | number |  | The account ID of the summoner.

#### Return:

*